Package ru.bitel.bgbilling.modules.mangooffice.server.task

# Class MangoFeesFtpReloader

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.task.server.bean.RunTask
ru.bitel.bgbilling.kernel.task.server.bean.RunTaskRecalculator<MangoFeesFtpLoader>
ru.bitel.bgbilling.modules.mangooffice.server.task.MangoFeesFtpReloader

All Implemented Interfaces:
  `Serializable`, `Runnable`

public class MangoFeesFtpReloader extends RunTaskRecalculator<MangoFeesFtpLoader>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTaskRecalculator

  `dt, email, mid`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `setup`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MangoFeesFtpReloader(int mid, Calendar dt)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected MangoFeesFtpLoader`
  `createTask()`
  `void`
  `executeTask()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTaskRecalculator

  `getDescription`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `getQueueId, getUniqueKeyParallel, getUniqueKeyQueue, init, removeMyselfFromTable, run, setQueueId`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MangoFeesFtpReloader

    public MangoFeesFtpReloader(int mid, Calendar dt)

- ## Method Details

  - ### executeTask

    public void executeTask()
    Overrides:
      `executeTask` in class `RunTaskRecalculator<MangoFeesFtpLoader>`

  - ### createTask

    protected MangoFeesFtpLoader createTask()
    Specified by:
      `createTask` in class `RunTaskRecalculator<MangoFeesFtpLoader>`